Bug 973033 - SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the file /etc/bluetooth/audio.conf.
SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the file /et...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:9e70498f71356b0d939b03782e4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 02:24 EDT by Filippo
Modified: 2013-07-24 20:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.11.1-98.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 20:39:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filippo 2013-06-11 02:24:18 EDT
Description of problem:
SELinux error in changing bluetooth audio settings. the commands grep blueman-mechani /var/log/audit/audit.log | audit2allow -M mypol and semodule -i mypol.pp don't resolve it.
SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the file /etc/bluetooth/audio.conf.

*****  Plugin catchall (100. confidence) suggests  ***************************

If si crede che python2.7 dovrebbe avere possibilità di accesso read sui audio.conf file in modo predefinito.
Then si dovrebbe riportare il problema come bug.
E' possibile generare un modulo di politica locale per consentire questo accesso.
Do
consentire questo accesso per il momento eseguendo:
# grep blueman-mechani /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:blueman_t:s0-s0:c0.c1023
Target Context                system_u:object_r:bluetooth_conf_t:s0
Target Objects                /etc/bluetooth/audio.conf [ file ]
Source                        blueman-mechani
Source Path                   /usr/bin/python2.7
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.7.3-13.fc18.x86_64
Target RPM Packages           bluez-4.101-6.fc18.x86_64
Policy RPM                    selinux-policy-3.11.1-97.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.4-200.fc18.x86_64 #1 SMP Fri
                              May 24 20:10:49 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-06-11 08:18:10 CEST
Last Seen                     2013-06-11 08:19:14 CEST
Local ID                      43213e2a-8fa5-4acb-b48a-6d1dfe0bfcc3

Raw Audit Messages
type=AVC msg=audit(1370931554.302:349): avc:  denied  { read } for  pid=2037 comm="blueman-mechani" name="audio.conf" dev="sda11" ino=3801515 scontext=system_u:system_r:blueman_t:s0-s0:c0.c1023 tcontext=system_u:object_r:bluetooth_conf_t:s0 tclass=file


type=SYSCALL msg=audit(1370931554.302:349): arch=x86_64 syscall=open success=no exit=EACCES a0=2a5fb40 a1=0 a2=1b6 a3=238 items=0 ppid=1 pid=2037 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=blueman-mechani exe=/usr/bin/python2.7 subj=system_u:system_r:blueman_t:s0-s0:c0.c1023 key=(null)

Hash: blueman-mechani,blueman_t,bluetooth_conf_t,file,read

audit2allow

#============= blueman_t ==============
#!!!! This avc is allowed in the current policy

allow blueman_t bluetooth_conf_t:file read;

audit2allow -R
require {
	type blueman_t;
}

#============= blueman_t ==============
bluetooth_read_config(blueman_t)
===================================
The system is in uefi mode with secure boot enabled.

Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.4-200.fc18.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-06-12 10:43:33 EDT
Added.
Comment 2 Miroslav Grepl 2013-06-12 10:44:01 EDT
commit a506ed6fc0f8db784199b012507791b25040ceb7
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Wed Jun 12 16:43:20 2013 +0200

    Allow blueman to read bluetooth conf
Comment 3 Fedora Update System 2013-06-27 09:35:55 EDT
selinux-policy-3.11.1-98.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-98.fc18
Comment 4 Fedora Update System 2013-06-28 02:09:55 EDT
Package selinux-policy-3.11.1-98.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-98.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11859/selinux-policy-3.11.1-98.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-07-24 20:39:52 EDT
selinux-policy-3.11.1-98.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.